{ pkgs, options, ... }:

let unstable = import <nixos-unstable> { };
in {
  environment.systemPackages = with pkgs; [
    cryptsetup
    dnsutils
    dogdns
    k9s
    kind
    kubectl
    kubectx
    kubeseal
    nmap
    pwgen
    terraform
    whois
    ipcalc

    unstable.argocd
    unstable.kubernetes-helm
    unstable.kustomize
    unstable.terraform-ls
    unstable.vault

    docker-compose
    fuse-overlayfs
    qemu
    virt-manager

    (import ../packages/skaffold.nix)
    (import ../packages/helm2.nix)
    (import ../packages/certmanager.nix)
  ];

  programs.bash.shellAliases = {
    kx = "kubectx";
    kns = "kubens";
  };

  virtualisation.docker = {
    enable = true;
    storageDriver = "zfs";
  };
  virtualisation.libvirtd.enable = true;
}
